openvasd_target Struct Reference

Struct holding target information. More...

## Data Fields

gchar * | scan_id
GSList * | credentials
gchar * | exclude_hosts
gchar * | hosts
gchar * | ports
gchar * | finished_hosts
gboolean | icmp
gboolean | tcp_syn
gboolean | tcp_ack
gboolean | arp
gboolean | consider_alive
int | reverse_lookup_unify
int | reverse_lookup_only

## Detailed Description

Struct holding target information.

## Field Documentation

## arp

gboolean openvasd_target::arp

Alive test method tcp_ack

## consider_alive

gboolean openvasd_target::consider_alive

Alive test method arp

## credentials

GSList* openvasd_target::credentials

Scan ID

## exclude_hosts

gchar* openvasd_target::exclude_hosts

Credentials to use in the scan

## finished_hosts

gchar* openvasd_target::finished_hosts

String defining the ports to scan

## hosts

gchar* openvasd_target::hosts

String defining one or many hosts to exclude

## icmp

gboolean openvasd_target::icmp

String defining hosts to exclude as finished

## ports

gchar* openvasd_target::ports

String defining one or many hosts to scan

## reverse_lookup_only

int openvasd_target::reverse_lookup_only

Value defining reverse_lookup_unify opt

## reverse_lookup_unify

int openvasd_target::reverse_lookup_unify

Alive test method consider alive

## scan_id

gchar* openvasd_target::scan_id

## tcp_ack

gboolean openvasd_target::tcp_ack

Alive test method tcp_syn

## tcp_syn

gboolean openvasd_target::tcp_syn

Alive test method icmp

The documentation for this struct was generated from the following file:

- openvasd/openvasd.c